Public Attributes | List of all members
_iso7816_callback Struct Reference
Peripheral Driver » HAL Driver » ISO7816 » Callback Structures » ISO7816 Callback

HAL_ISO7816 Callback function definition. More...

`#include <gr55xx_hal_iso7816.h>`

## Public Attributes
void(* | iso7816_msp_init )(iso7816_handle_t *p_iso7816)
void(* | iso7816_msp_deinit )(iso7816_handle_t *p_iso7816)
void(* | iso7816_error_callback )(iso7816_handle_t *p_iso7816)
void(* | iso7816_abort_cplt_callback )(iso7816_handle_t *p_iso7816)
void(* | iso7816_presence_callback )(iso7816_handle_t *p_iso7816)
void(* | iso7816_atr_cplt_callback )(iso7816_handle_t *p_iso7816)
void(* | iso7816_tx_cplt_callback )(iso7816_handle_t *p_iso7816)
void(* | iso7816_rx_cplt_callback )(iso7816_handle_t *p_iso7816)
void(* | iso7816_tx_rx_cplt_callback )(iso7816_handle_t *p_iso7816)

## Detailed Description

HAL_ISO7816 Callback function definition.

Definition at line 170 of file gr55xx_hal_iso7816.h.

## Member Data Documentation

## ◆ iso7816_abort_cplt_callback

void(* _iso7816_callback::iso7816_abort_cplt_callback) (iso7816_handle_t *p_iso7816)

ISO7816 abort completed callback

Definition at line 175 of file gr55xx_hal_iso7816.h.

## ◆ iso7816_atr_cplt_callback

void(* _iso7816_callback::iso7816_atr_cplt_callback) (iso7816_handle_t *p_iso7816)

ISO7816 reseive atr completed callback

Definition at line 177 of file gr55xx_hal_iso7816.h.

## ◆ iso7816_error_callback

void(* _iso7816_callback::iso7816_error_callback) (iso7816_handle_t *p_iso7816)

ISO7816 error callback

Definition at line 174 of file gr55xx_hal_iso7816.h.

## ◆ iso7816_msp_deinit

void(* _iso7816_callback::iso7816_msp_deinit) (iso7816_handle_t *p_iso7816)

ISO7816 de-init MSP callback

Definition at line 173 of file gr55xx_hal_iso7816.h.

## ◆ iso7816_msp_init

void(* _iso7816_callback::iso7816_msp_init) (iso7816_handle_t *p_iso7816)

ISO7816 init MSP callback

Definition at line 172 of file gr55xx_hal_iso7816.h.

## ◆ iso7816_presence_callback

void(* _iso7816_callback::iso7816_presence_callback) (iso7816_handle_t *p_iso7816)

ISO7816 card presence state changed callback

Definition at line 176 of file gr55xx_hal_iso7816.h.

## ◆ iso7816_rx_cplt_callback

void(* _iso7816_callback::iso7816_rx_cplt_callback) (iso7816_handle_t *p_iso7816)

ISO7816 tx transfer completed callback

Definition at line 179 of file gr55xx_hal_iso7816.h.

## ◆ iso7816_tx_cplt_callback

void(* _iso7816_callback::iso7816_tx_cplt_callback) (iso7816_handle_t *p_iso7816)

ISO7816 rx transfer completed callback

Definition at line 178 of file gr55xx_hal_iso7816.h.

## ◆ iso7816_tx_rx_cplt_callback

void(* _iso7816_callback::iso7816_tx_rx_cplt_callback) (iso7816_handle_t *p_iso7816)

ISO7816 tx/rx transfer completed callback

Definition at line 180 of file gr55xx_hal_iso7816.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_iso7816.h